<template>
  <div>
    <ProductStickyCompare />
    <footer id="footer">
      <div class="container">
        <div class="footer-top flex">
          <a class="fs-logo" href="/" title>
            <img src="/css/images/graphics/logo2.svg" alt="logo footer" />
          </a>
          <div class="fs-right">
            <div class="hotline">
              <span>Hotline</span>
              <strong>1900.63.3579</strong>
            </div>
            <div class="social">
              <ul>
                <li>
                  <a
                    href="https://www.youtube.com/channel/UCtQhYOcTmYAf9OKa0ICW5GQ"
                    target="_blank"
                  >
                    <svg-icon name="youtube"></svg-icon>
                  </a>
                </li>
                <li>
                  <a
                    href="https://www.facebook.com/thinkpro.vn/"
                    target="_blank"
                  >
                    <svg-icon name="fb"></svg-icon>
                  </a>
                </li>
                <li>
                  <a
                    href="https://www.instagram.com/thinkpro.vn/"
                    target="_blank"
                  >
                    <svg-icon name="ig"></svg-icon>
                  </a>
                </li>
              </ul>
            </div>
          </div>
        </div>
        <div class="content-wrapper flex">
          <h2 class="title-mobile">
            <span>Sản phẩm và dịch vụ</span>
          </h2>
          <ul class="primary-links">
            <li class="primary-links__list-item">
              <h2 class="title-pc">
                <span>Sản phẩm và dịch vụ</span>
              </h2>
              <ul>
                <li>
                  <nuxt-link to="/thuong-hieu/dell">Laptop Dell</nuxt-link>
                </li>
                <li>
                  <nuxt-link to="/thuong-hieu/hp">Laptop HP</nuxt-link>
                </li>
                <li>
                  <nuxt-link to="/thuong-hieu/thinkpad">
                    Laptop ThinkPad
                  </nuxt-link>
                </li>
                <li>
                  <nuxt-link to="/thuong-hieu/lenovo">Laptop Lenovo</nuxt-link>
                </li>
              </ul>
            </li>
            <li class="primary-links__list-item">
              <ul>
                <li>
                  <nuxt-link to="#">Alienware</nuxt-link>
                </li>
                <li>
                  <nuxt-link to="/thuong-hieu/apple">
                    Macbook
                  </nuxt-link>
                </li>
                <li>
                  <nuxt-link to="/thuong-hieu/razer">Laptop Razer</nuxt-link>
                </li>
                <li>
                  <nuxt-link to="#">Phụ kiện</nuxt-link>
                </li>
              </ul>
            </li>
            <li class="primary-links__list-item">
              <h2>
                <span>Chính sách</span>
              </h2>
              <ul>
                <li>
                  <nuxt-link
                    to="/tin-tuc/ve-thinkpro/chinh-sach-bao-hanh-thinkpro"
                  >
                    Bảo hành
                  </nuxt-link>
                </li>
                <li>
                  <nuxt-link
                    to="/tin-tuc/ve-thinkpro/chinh-sach-thanh-toan-va-van-chuyen-tai-thinkpro"
                  >
                    Vận chuyển
                  </nuxt-link>
                </li>
                <li>
                  <nuxt-link
                    to="/tin-tuc/ve-thinkpro/chinh-sach-thanh-toan-va-van-chuyen-tai-thinkpro"
                  >
                    Thanh toán
                  </nuxt-link>
                </li>
              </ul>
            </li>
            <li class="primary-links__list-item">
              <h2>
                <span>Về ThinkPro</span>
              </h2>
              <ul>
                <li>
                  <nuxt-link to="/tin-tuc/ve-thinkpro/cau-chuyen-cua-thinkpro">
                    Lịch sử thành lập
                  </nuxt-link>
                </li>
                <li>
                  <nuxt-link to="/tin-tuc/ve-thinkpro/cau-chuyen-cua-thinkpro">
                    Giá trị cốt lõi
                  </nuxt-link>
                </li>
                <li>
                  <nuxt-link to="/tin-tuc/ve-thinkpro/cau-chuyen-cua-thinkpro">
                    Tầm nhìn
                  </nuxt-link>
                </li>
              </ul>
            </li>
          </ul>
          <div class="blog-content">
            <h2>
              <span>Hệ thống cửa hàng</span>
            </h2>
            <ul class="flex">
              <li>
                <div class="city">Hà Nội:</div>
                <div class="address">
                  105/562 Đường Láng, P. Láng Hạ, Q. Đống Đa
                </div>
                <a href="#" class="map">Chỉ đường</a>
                <div class="address mt15">69 Phố Vọng, Q. Hai Bà Trưng</div>
                <a href="#" class="map">Chỉ đường</a>
              </li>
              <li>
                <div class="city">TP. Hồ Chí Minh:</div>
                <div class="address">62 Duy Tân, P. 15, Phú Nhuận</div>
                <a href="#" class="map">Chỉ đường</a>
              </li>
            </ul>
          </div>
          <div class="down-up">
            <a
              href="javascript:"
              :class="showlinks ? 'up' : 'down'"
              class="lbl sub-icon"
              @click="showlinks = !showlinks"
            >
              Thông tin khác
            </a>
            <transition name="slide">
              <div v-if="showlinks" class="level2">
                <h2>
                  <span>Hệ thống cửa hàng</span>
                </h2>
                <div class="flex">
                  <ul>
                    <li>
                      <nuxt-link to="/thuong-hieu/dell">Laptop Dell</nuxt-link>
                    </li>
                    <li>
                      <nuxt-link to="/thuong-hieu/hp">Laptop HP</nuxt-link>
                    </li>
                    <li>
                      <nuxt-link to="/thuong-hieu/thinkpad">
                        Laptop ThinkPad
                      </nuxt-link>
                    </li>
                    <li>
                      <a href="#" title="#">Alienware</a>
                    </li>
                    <li>
                      <nuxt-link to="/thuong-hieu/lenovo">
                        Laptop Lenovo
                      </nuxt-link>
                    </li>
                    <li>
                      <nuxt-link to="/thuong-hieu/razer">
                        Laptop Razer
                      </nuxt-link>
                    </li>
                  </ul>
                  <ul>
                    <li>
                      <nuxt-link to="/thuong-hieu/dell">Laptop Dell</nuxt-link>
                    </li>
                    <li>
                      <nuxt-link to="/thuong-hieu/hp">Laptop HP</nuxt-link>
                    </li>
                    <li>
                      <nuxt-link to="/thuong-hieu/thinkpad">
                        Laptop ThinkPad
                      </nuxt-link>
                    </li>
                    <li>
                      <a href="#" title="#">Alienware</a>
                    </li>
                  </ul>
                </div>
                <div class="flex">
                  <ul>
                    <h2>
                      <span>Chính sách</span>
                    </h2>
                    <li>
                      <nuxt-link
                        to="/tin-tuc/ve-thinkpro/chinh-sach-bao-hanh-thinkpro"
                      >
                        Bảo hành
                      </nuxt-link>
                    </li>
                    <li>
                      <nuxt-link
                        to="/tin-tuc/ve-thinkpro/chinh-sach-thanh-toan-va-van-chuyen-tai-thinkpro"
                      >
                        Vận chuyển
                      </nuxt-link>
                    </li>
                    <li>
                      <nuxt-link
                        to="/tin-tuc/ve-thinkpro/chinh-sach-thanh-toan-va-van-chuyen-tai-thinkpro"
                      >
                        Thanh toán
                      </nuxt-link>
                    </li>
                  </ul>
                  <ul>
                    <h2>
                      <span>Về ThinkPro</span>
                    </h2>
                    <li>
                      <nuxt-link
                        to="/tin-tuc/ve-thinkpro/cau-chuyen-cua-thinkpro"
                      >
                        Lịch sử thành lập
                      </nuxt-link>
                    </li>
                    <li>
                      <nuxt-link
                        to="/tin-tuc/ve-thinkpro/cau-chuyen-cua-thinkpro"
                      >
                        Giá trị cốt lõi
                      </nuxt-link>
                    </li>
                    <li>
                      <nuxt-link
                        to="/tin-tuc/ve-thinkpro/cau-chuyen-cua-thinkpro"
                      >
                        Tầm nhìn
                      </nuxt-link>
                    </li>
                    <li>
                      <nuxt-link
                        to="/tin-tuc/ve-thinkpro/cau-chuyen-cua-thinkpro"
                      >
                        Sứ mệnh
                      </nuxt-link>
                    </li>
                  </ul>
                </div>
              </div>
            </transition>
          </div>
        </div>
        <div class="extra-content">
          <div class="copy_right">
            Copyright (C) 2020
            <p>
              Công ty TNHH Công nghệ Think Việt Nam | Số ĐKKD 0107273909 do Sở
              KHĐT Thành phố Hà Nội cấp ngày 30/12/2015
            </p>
          </div>
          <a class="bct" href="#">
            <img src="/css/images/graphics/bocongthuong.png" alt="xac thuc" />
          </a>
        </div>
      </div>
    </footer>
    <nav v-if="$device.isMobileOrTablet" id="main_menu" class="main--menu">
      <ul class="main--menu__nav">
        <client-only>
          <li v-if="$auth.loggedIn">
            <h3 class="active">
              <a
                href="javascript:;"
                :class="showinfolinks ? 'up' : 'down'"
                class="sub-icon"
                @click="showinfolinks = !showinfolinks"
              >
                {{ $auth.user.name }}
              </a>
              <transition name="slide">
                <ul v-if="showinfolinks" class="level2">
                  <li>
                    <h3>
                      <nuxt-link to="/tai-khoan">
                        <svg-icon name="user"></svg-icon>
                        Tài khoản
                      </nuxt-link>
                    </h3>
                  </li>
                  <li>
                    <h3>
                      <nuxt-link to="/tai-khoan">
                        <svg-icon name="heart"></svg-icon>
                        Sản phẩm yêu thích
                      </nuxt-link>
                    </h3>
                  </li>
                  <li>
                    <h3>
                      <nuxt-link to="/tai-khoan">
                        <svg-icon name="history"></svg-icon>
                        Lịch sử mua hàng
                      </nuxt-link>
                    </h3>
                  </li>
                  <li>
                    <h3>
                      <a href="javascript:;" @click.prevent="logout">
                        <svg-icon name="exit"></svg-icon>
                        Thoát
                      </a>
                    </h3>
                  </li>
                </ul>
              </transition>
            </h3>
          </li>
          <li v-if="!$auth.loggedIn" class="before-login">
            <h3>
              <nuxt-link to="/users/login" @click.native.stop="hideMenu()">
                Đăng nhập
              </nuxt-link>
            </h3>
          </li>
          <li v-if="!$auth.loggedIn">
            <h3>
              <nuxt-link to="/users/register" @click.native.stop="hideMenu()">
                Đăng ký
              </nuxt-link>
            </h3>
          </li>
        </client-only>
        <client-only>
          <li v-if="$auth.loggedIn">
            <h3>
              <nuxt-link
                to="/thong-bao-thanh-vien"
                @click.native.stop="hideMenu()"
              >
                <svg-icon name="bel"></svg-icon>
                Thông báo
              </nuxt-link>
            </h3>
          </li>
        </client-only>
        <li>
          <h3>
            <nuxt-link to="/tin-tuc" @click.native.stop="hideMenu()">
              <svg-icon name="news"></svg-icon>
              Tin tức
            </nuxt-link>
            <!-- <span class="number">9+</span> -->
          </h3>
        </li>
        <li>
          <h3>
            <nuxt-link
              to="/thong-bao-thanh-vien"
              @click.native.stop="hideMenu()"
            >
              <svg-icon name="clipboard-notes"></svg-icon>
              Cập nhật mới
            </nuxt-link>
          </h3>
        </li>
      </ul>
      <div class="fs-right">
        <div class="hotline">
          <span>Hotline</span>
          <strong>1900.63.3579</strong>
        </div>
        <div class="social">
          <ul>
            <li>
              <a
                href="https://www.youtube.com/channel/UCtQhYOcTmYAf9OKa0ICW5GQ"
                target="_blank"
              >
                <svg-icon name="youtube"></svg-icon>
              </a>
            </li>
            <li>
              <a href="https://www.facebook.com/thinkpro.vn/" target="_blank">
                <svg-icon name="fb"></svg-icon>
              </a>
            </li>
            <li>
              <a href="https://www.instagram.com/thinkpro.vn/" target="_blank">
                <svg-icon name="ig"></svg-icon>
              </a>
            </li>
          </ul>
        </div>
      </div>
    </nav>
    <div class="fixed_toptop">
      <a href="tel:1900633579" class="hotline">
        <svg-icon name="phone"></svg-icon>
      </a>
      <a
        v-show="showbacktop"
        id="to_top"
        href="javascript:;"
        @click.prevent="scrollToTop(600)"
      >
        <svg-icon name="arrow-down"></svg-icon>
      </a>
    </div>

    <div class="overlay-bg"></div>
    <a class="close-menu" href="javascript:;">×</a>
  </div>
</template>

<script>
export default {
  name: 'Footer',
  components: {
    ProductStickyCompare: () =>
      import('~/components/Products/Detail/ProductStickyCompare'),
  },
  data() {
    return {
      showlinks: false,
      showinfolinks: false,
      showorderlinks: false,
      showbacktop: false,
    }
  },
  mounted() {
    // back to top
    window.addEventListener('scroll', function () {
      if (window.scrollY >= 200) {
        this.showbacktop = true
      } else {
        this.showbacktop = false
      }
    })
    // show menu
    document
      .getElementsByClassName('btn_control_menu')[0]
      .addEventListener('click', function () {
        document.querySelector('body').classList.add('show_main_menu')
      })
    // Show cart
    const cartMobile = document.getElementById('cart-mobile')
    if (cartMobile !== null) {
      cartMobile.addEventListener('click', function () {
        document.querySelector('body').classList.add('open-header')
        document.getElementsByClassName('block_search')[0].style.display =
          'none'
        if (cartMobile.classList.contains('active')) {
          cartMobile.classList.remove('active')
        } else {
          cartMobile.classList.add('active')
        }
      })
    }
    document
      .getElementsByClassName('overlay-bg')[0]
      .addEventListener('click', function () {
        document.querySelector('body').classList.remove('show_main_menu')
        document.querySelector('body').classList.remove('open-fillter')
        document.querySelector('body').classList.remove('open-header')
        document.getElementById('cart-mobile').classList.remove('active')
      })
    document
      .getElementsByClassName('close-menu')[0]
      .addEventListener('click', function () {
        document.querySelector('body').classList.remove('show_main_menu')
        document.querySelector('body').classList.remove('open-fillter')
        document.querySelector('body').classList.remove('open-header')
        document.getElementById('cart-mobile').classList.remove('active')
      })
    document
      .getElementsByClassName('close')[0]
      .addEventListener('click', function () {
        document.querySelector('body').classList.remove('show_main_menu')
        document.querySelector('body').classList.remove('open-fillter')
        document.querySelector('body').classList.remove('open-header')
        document.getElementById('cart-mobile').classList.remove('active')
      })
    // Button search mobile
    document
      .getElementById('auto_search_button')
      .addEventListener('click', function () {
        document.getElementsByClassName('close-search')[0].style.display =
          'block'
        document.getElementsByClassName('block_search')[0].style.display =
          'block'
      })
    document
      .getElementsByClassName('close-search')[0]
      .addEventListener('click', function () {
        document.getElementsByClassName('close-search')[0].style.display =
          'none'
        document.getElementsByClassName('block_search')[0].style.display =
          'none'
      })
  },
  methods: {
    scrollToTop(duration) {
      if (document.scrollingElement.scrollTop === 0) return
      const totalScrollDistance = document.scrollingElement.scrollTop
      let scrollY = totalScrollDistance
      let oldTimestamp = null
      function step(newTimestamp) {
        if (oldTimestamp !== null) {
          scrollY -=
            (totalScrollDistance * (newTimestamp - oldTimestamp)) / duration
          if (scrollY <= 0) return (document.scrollingElement.scrollTop = 0)
          document.scrollingElement.scrollTop = scrollY
        }
        oldTimestamp = newTimestamp
        window.requestAnimationFrame(step)
      }
      window.requestAnimationFrame(step)
    },
    logout() {
      this.$auth.logout()
    },
    hideMenu() {
      document.querySelector('body').classList.remove('show_main_menu')
    },
  },
}
</script>
